<< rc2ac | FOSSEE_Signal_Processing_Toolbox | rc2lar >>

FOSSEE_Signal_Processing_Toolbox >> FOSSEE_Signal_Processing_Toolbox > rc2is

# rc2is

Convert reflection coefficients to inverse sine parameters

### Syntax

    isin = rc2is(K)

### Parameters

k:

  input reflection coefficients. Needs to be an array of real numbers between -1 and 1

isin:

  inverse sine parameters corresponding to the reflection coefficients in input

### Description

This function returns the inverse sine parameters corresponding to the input reflection coefficients K. output array has isin(i) = 2/pi*asin(k(i))

### Examples

    k = [0.3090 0.9801 0.0031 0.0082 -0.0082]
    isin = rc2is(k)      //Gives inverse sine parameters

### See also

- is2rc — Convert inverse sine parameters to reflection coefficients
- rc2poly — Convert reflection coefficients to prediction polynomial.
- rc2ac — Convert reflection coefficients to autocorrelation sequence.
- rc2lar — Convert reflection coefficient to log area ratios.

### Authors

- Parthe Pandit

### Bibliography

J.R. Deller, J.G. Proakis, J.H.L. Hansen, "Discrete-Time Processing of Speech Signals", Prentice Hall, Section 7.4.5

Report an issue
<< rc2ac | FOSSEE_Signal_Processing_Toolbox | rc2lar >>